////////////////////////////////////////////////////////////////////////////////
//  << j261c.java >>
//
//  クラス(6):例外(例外の送出)
//
//  予約語throwを使って、自分で例外を送出することができる。
//    例外が発生すると、それ以降の処理は実行されない。
//
//  自分で例外を送出する方法を確認する。
//
//  (1)tryブロック
//  (2)throw文で例外を送出する。
//    (3)catchブロック:Exception
//  (4)finallyブロック

////////////////////////////////////////////////////////////////////////////////

class j261c {
  public static void main(String args[]) {

    System.out.println("プログラム開始");

    try { //(1)
      System.out.println("(1)tryブロック開始");
      throw new ArithmeticException(); //(2)

    } catch ( Exception e ) { //(3)
      System.out.println("(3)catchブロック(Exception)開始");
      System.out.println(e); // エラーの詳細を表示。
      System.out.println("(3)catchブロック(Exception)終了");

    } finally { //(4)
      System.out.println("(4)finallyブロック開始");
      System.out.println("(4)finallyブロック終了");
    }

    System.out.println("プログラム終了");

  }

}
実行結果
% javac j261c.java
% java j261c
プログラム開始
(1)tryブロック開始
(3)catchブロック(Exception)開始
java.lang.ArithmeticException
(3)catchブロック(Exception)終了
(4)finallyブロック開始
(4)finallyブロック終了
プログラム終了